/*
 * Mattermost API Reference
 *
 * There is also a work-in-progress [Postman API reference](https://documenter.getpostman.com/view/4508214/RW8FERUn).
 *
 * The version of the OpenAPI document: 4.0.0
 * Contact: feedback@mattermost.com
 * Generated by: https://openapi-generator.tech
 */

#[derive(Clone, Debug, PartialEq, Default, serde::Serialize, serde::Deserialize)]
pub struct LoginByCwsTokenRequest {
    #[serde(rename = "login_id", skip_serializing_if = "Option::is_none")]
    pub login_id: Option<String>,
    #[serde(rename = "cws_token", skip_serializing_if = "Option::is_none")]
    pub cws_token: Option<String>,
}

impl LoginByCwsTokenRequest {
    pub fn new() -> LoginByCwsTokenRequest {
        LoginByCwsTokenRequest {
            login_id: None,
            cws_token: None,
        }
    }
}
